Get Approval request
curl --request GET \
--url https://app.letsflow.ai/v1/approval_requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.letsflow.ai/v1/approval_requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.letsflow.ai/v1/approval_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/approval_requests/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/approval_requests/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.letsflow.ai/v1/approval_requests/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/approval_requests/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"resource": "approval_request",
"org_id": "<string>",
"team_id": "<string>",
"status": "<string>",
"expires_at": "<string>",
"decision_summary": {},
"created_at": "<string>",
"decided_at": "<string>",
"source": {
"kind": "<string>",
"id": "<string>"
},
"requested_by": {
"principal_id": "<string>",
"display_name": "<string>"
},
"requested_for": {
"principal_id": "<string>",
"display_name": "<string>"
},
"current_stage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"order": 2,
"status": "<string>",
"decision_policy": "any_one",
"approvals_required": 2,
"eligible_approvers": [
{
"principal_id": "<string>",
"display_name": "<string>"
}
],
"viewer_can_decide": true,
"expires_at": "2023-11-07T05:31:56Z",
"approval_count": 1,
"denial_count": 1,
"approvals_received": 1
},
"can_decide": true,
"approval_procedure": {
"definition_id": "<string>",
"definition_display_name": "<string>",
"version_id": "<string>",
"version_display_name": "<string>"
},
"access_request": {
"id": "<string>",
"status": "<string>",
"entitlement_id": "<string>",
"entitlement_display_name": "<string>"
},
"ticket": {
"key": "<string>",
"status": "<string>"
},
"workflow_run": {
"id": "<string>",
"status": "requested",
"wait_reason_kind": "pre_admission_approval",
"error_summary": {
"phase": "validate",
"failure_class": "validation",
"code": "<string>",
"status_hint": "waiting",
"retry_disposition": "retry_same_operation",
"retryable": true,
"summary": "<string>",
"detail": "<string>",
"surfaces": {
"builder_message": "<string>",
"operator_message": "<string>"
},
"canonical_refs": {},
"provider_context": {},
"cause_chain": [
{
"code": "<string>",
"name": "<string>",
"summary": "<string>",
"detail": "<string>",
"retryable": true,
"source": "<string>"
}
],
"support_handoff": {},
"captured_at": "<string>"
},
"workflow_id": "<string>",
"workflow_publication_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_revision_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"correlation_id": "<string>",
"details_access": "allowed"
},
"links": {}
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Approval requests
Get Approval request
Read one canonical approval request linked to an access request and workflow wait state.
GET
/
v1
/
approval_requests
/
{id}
Get Approval request
curl --request GET \
--url https://app.letsflow.ai/v1/approval_requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.letsflow.ai/v1/approval_requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.letsflow.ai/v1/approval_requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/approval_requests/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/approval_requests/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.letsflow.ai/v1/approval_requests/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/approval_requests/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"resource": "approval_request",
"org_id": "<string>",
"team_id": "<string>",
"status": "<string>",
"expires_at": "<string>",
"decision_summary": {},
"created_at": "<string>",
"decided_at": "<string>",
"source": {
"kind": "<string>",
"id": "<string>"
},
"requested_by": {
"principal_id": "<string>",
"display_name": "<string>"
},
"requested_for": {
"principal_id": "<string>",
"display_name": "<string>"
},
"current_stage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"order": 2,
"status": "<string>",
"decision_policy": "any_one",
"approvals_required": 2,
"eligible_approvers": [
{
"principal_id": "<string>",
"display_name": "<string>"
}
],
"viewer_can_decide": true,
"expires_at": "2023-11-07T05:31:56Z",
"approval_count": 1,
"denial_count": 1,
"approvals_received": 1
},
"can_decide": true,
"approval_procedure": {
"definition_id": "<string>",
"definition_display_name": "<string>",
"version_id": "<string>",
"version_display_name": "<string>"
},
"access_request": {
"id": "<string>",
"status": "<string>",
"entitlement_id": "<string>",
"entitlement_display_name": "<string>"
},
"ticket": {
"key": "<string>",
"status": "<string>"
},
"workflow_run": {
"id": "<string>",
"status": "requested",
"wait_reason_kind": "pre_admission_approval",
"error_summary": {
"phase": "validate",
"failure_class": "validation",
"code": "<string>",
"status_hint": "waiting",
"retry_disposition": "retry_same_operation",
"retryable": true,
"summary": "<string>",
"detail": "<string>",
"surfaces": {
"builder_message": "<string>",
"operator_message": "<string>"
},
"canonical_refs": {},
"provider_context": {},
"cause_chain": [
{
"code": "<string>",
"name": "<string>",
"summary": "<string>",
"detail": "<string>",
"retryable": true,
"source": "<string>"
}
],
"support_handoff": {},
"captured_at": "<string>"
},
"workflow_id": "<string>",
"workflow_publication_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_revision_build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "<string>",
"correlation_id": "<string>",
"details_access": "allowed"
},
"links": {}
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Authorizations
OAuth Bearer access tokens or Flow API keys with the required Flow scope families for the route.
Path Parameters
Opaque resource identifier.